FeatureEngine (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature.system
Class FeatureEngine

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<String,FunctionDescription>
              org.maltparser.core.feature.system.FeatureEngine

All Implemented Interfaces:
  Serializable, Cloneable, Map<String,FunctionDescription>

    public class FeatureEngine

extends HashMap<String,FunctionDescription>

Since:
  1.0
Author:
  Johan Hall
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`FeatureEngine()`

Method Summary
`boolean` | `equals(Object obj)`
`void` | `load(PluginLoader plugins)`
`void` | `load(String urlstring)`
`void` | `load(URL specModelURL)`
`Function` | `newFunction(String functionName, ConfigurationRegistry registry)`
`void` | `readFeatureSystem(Element system)`
`void` | `readFunction(Element function)`
`void` | `readSubFunction(Element subfunction, Class<?> clazz, boolean hasFactory)`
`String` | `toString()`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`hashCode`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### FeatureEngine

    public FeatureEngine()

Method Detail

### newFunction

    public Function newFunction(String functionName,
                                ConfigurationRegistry registry)
                         throws MaltChainedException

  Throws:
    `MaltChainedException`

### load

    public void load(String urlstring)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### load

    public void load(PluginLoader plugins)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### load

    public void load(URL specModelURL)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### readFeatureSystem

    public void readFeatureSystem(Element system)
                           throws MaltChainedException

  Throws:
    `MaltChainedException`

### readFunction

    public void readFunction(Element function)
                      throws MaltChainedException

  Throws:
    `MaltChainedException`

### readSubFunction

    public void readSubFunction(Element subfunction,
                                Class<?> clazz,
                                boolean hasFactory)
                         throws MaltChainedException

  Throws:
    `MaltChainedException`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Map<String,FunctionDescription>`
  Overrides:
    `equals` in class `AbstractMap<String,FunctionDescription>`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractMap<String,FunctionDescription>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.